CREATE TABLE hns_incidents_detail (
    INCIDENT_DETAIL_ID              NUMBER(18, 0) ,
    INCIDENT_ID                     NUMBER(18, 0)     NOT NULL,
    INCIDENT_EVENT_CODE             VARCHAR2(120)     NOT NULL,
    INCIDENT_EVENT_NO               VARCHAR2(128)     NOT NULL,
    INCIDENT_EVENT_OWNER_ID         NUMBER(18, 0) ,
    INC_EVENT_OWNER_ASSIGN_ID       NUMBER(18, 0) ,
    COMPLETED_FLAG                  VARCHAR2(4)   ,
    DELETED_FLAG                    VARCHAR2(4)   ,
    INCI_EVENT_STATUS_CODE          VARCHAR2(120) ,
    TARGET_COMPLETION_DATE          TIMESTAMP(6)      NOT NULL,
    ACTUAL_COMPLETION_DATE          TIMESTAMP(6)  ,
    SEVERITY_LEVEL_CODE             VARCHAR2(120) ,
    INCIDENT_EVENT_SUMMARY          VARCHAR2(4000)    NOT NULL,
    INCI_DETAIL_DESCR               CLOB          ,
    THIRD_PARTY_DETAILS             CLOB          ,
    NOTICE_OF_VIOLATION_CD          VARCHAR2(120) ,
    SPILL_RELEASE_CODE              VARCHAR2(120) ,
    SPILLKIT_DEPLOYED_FLAG          VARCHAR2(4)   ,
    CLEANUP_TEAM_NOTIFIED           VARCHAR2(4)   ,
    AMOUNT_SPILLED                  NUMBER        ,
    AMOUNT_SPILLED_UNIT_CD          VARCHAR2(120) ,
    AMOUNT_RECOVERED                NUMBER        ,
    AMOUNT_RECOVERED_UNIT_CD        VARCHAR2(120) ,
    PROPERTY_DAMAGE_CODE            VARCHAR2(120) ,
    NEAR_MISS_CODE                  VARCHAR2(120) ,
    UNSAFE_CONDITION_CODE           VARCHAR2(120) ,
    ROAD_CONDITION_CODE             VARCHAR2(120) ,
    LIGHT_CONDITION_CODE            VARCHAR2(120) ,
    TRAFFIC_CONDITION_CODE          VARCHAR2(120) ,
    WEATHER_CONDITION_CODE          VARCHAR2(120) ,
    INCIDENT_EVENT_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    VEHICLE_STRUCK_CODE             VARCHAR2(120) ,
    VEHICLE_COLLISION_TYPE_CODE     VARCHAR2(120) ,
    VEHICLE_STRUCK_BY_CODE          VARCHAR2(120) ,
    VEHICLE_ACC_CATEGORY_CODE       VARCHAR2(120) ,
    TRAFFIC_CONTROLS_CODE           VARCHAR2(120) ,
    VEHICLE_SPEED_LIMIT             NUMBER        ,
    VEHICLE_SPEED_UNIT_CD           VARCHAR2(120) ,
    POLICE_REPORT_FLAG              VARCHAR2(4)   ,
    POLICE_AGENCY_LOCATION          VARCHAR2(4000),
    POLICE_BADGE_NUM                VARCHAR2(400) ,
    CITATION_NUM                    VARCHAR2(400) ,
    UNSAFE_ACT_TYPE_CODE            VARCHAR2(120) ,
    ISSUE_TYPE_CODE                 VARCHAR2(120) ,
    IMPROVEMENT_TYPE_CODE           VARCHAR2(120) ,
    LESSONS_LEARNED                 VARCHAR2(4000),
    EMPLOYEE_ID                     NUMBER(18, 0) ,
    EMPLOYEE_ASSIGN_ID              NUMBER(18, 0) ,
    AIR_QUALITY_TYPE_CODE           VARCHAR2(120) ,
    ERGONOMIC_TYPE_CODE             VARCHAR2(120) ,
    ERGONOMIC_ASS_REQ_CODE          VARCHAR2(4)   ,
    RESULT_CODE                     VARCHAR2(120) ,
    ACTION_REQUIRED_FLAG            VARCHAR2(4)   ,
    EVENT_CREATION_DATE             TIMESTAMP(6)  ,
    WHAT_WAS_SPILLED_OR_RELEASED    VARCHAR2(4000),
    CLEANUP_TEAM_NOTIFIED_AT        TIMESTAMP(6)  ,
    SPILL_POSSIBLE_CAUSE_CODE       VARCHAR2(120) ,
    SPILL_SOURCE_CODE               VARCHAR2(120) ,
    REPLN_SPILL_KIT_FLAG            VARCHAR2(4)   ,
    DATE_DISCLOSED                  TIMESTAMP(6)  ,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE16                     VARCHAR2(600) ,
    ATTRIBUTE17                     VARCHAR2(600) ,
    ATTRIBUTE18                     VARCHAR2(600) ,
    ATTRIBUTE19                     VARCHAR2(600) ,
    ATTRIBUTE20                     VARCHAR2(600) ,
    ATTRIBUTE21                     VARCHAR2(600) ,
    ATTRIBUTE22                     VARCHAR2(600) ,
    ATTRIBUTE23                     VARCHAR2(600) ,
    ATTRIBUTE24                     VARCHAR2(600) ,
    ATTRIBUTE25                     VARCHAR2(600) ,
    ATTRIBUTE26                     VARCHAR2(600) ,
    ATTRIBUTE27                     VARCHAR2(600) ,
    ATTRIBUTE28                     VARCHAR2(600) ,
    ATTRIBUTE29                     VARCHAR2(600) ,
    ATTRIBUTE30                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_NUMBER6               NUMBER        ,
    ATTRIBUTE_NUMBER7               NUMBER        ,
    ATTRIBUTE_NUMBER8               NUMBER        ,
    ATTRIBUTE_NUMBER9               NUMBER        ,
    ATTRIBUTE_NUMBER10              NUMBER        ,
    ATTRIBUTE_TIMESTAMP1            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10           TIMESTAMP(6)  ,
    INCIDENT_DETAIL_ID              NUMBER(18, 0) ,
    INCIDENT_ID                     NUMBER(18, 0)     NOT NULL,
    INCIDENT_EVENT_CODE             VARCHAR2(120)     NOT NULL,
    INCIDENT_EVENT_NO               VARCHAR2(128)     NOT NULL,
    INCIDENT_EVENT_OWNER_ID         NUMBER(18, 0) ,
    COMPLETED_FLAG                  VARCHAR2(4)   ,
    DELETED_FLAG                    VARCHAR2(4)   ,
    INCI_EVENT_STATUS_CODE          VARCHAR2(120) ,
    TARGET_COMPLETION_DATE          TIMESTAMP(6)      NOT NULL,
    ACTUAL_COMPLETION_DATE          TIMESTAMP(6)  ,
    SEVERITY_LEVEL_CODE             VARCHAR2(120) ,
    INCIDENT_EVENT_SUMMARY          VARCHAR2(4000)    NOT NULL,
    INCI_DETAIL_DESCR               CLOB          ,
    THIRD_PARTY_DETAILS             CLOB          ,
    NOTICE_OF_VIOLATION_CD          VARCHAR2(120) ,
    SPILL_RELEASE_CODE              VARCHAR2(120) ,
    SPILLKIT_DEPLOYED_FLAG          VARCHAR2(4)   ,
    CLEANUP_TEAM_NOTIFIED           VARCHAR2(4)   ,
    AMOUNT_SPILLED                  NUMBER        ,
    AMOUNT_SPILLED_UNIT_CD          VARCHAR2(120) ,
    AMOUNT_RECOVERED                NUMBER        ,
    AMOUNT_RECOVERED_UNIT_CD        VARCHAR2(120) ,
    PROPERTY_DAMAGE_CODE            VARCHAR2(120) ,
    NEAR_MISS_CODE                  VARCHAR2(120) ,
    UNSAFE_CONDITION_CODE           VARCHAR2(120) ,
    ROAD_CONDITION_CODE             VARCHAR2(120) ,
    LIGHT_CONDITION_CODE            VARCHAR2(120) ,
    TRAFFIC_CONDITION_CODE          VARCHAR2(120) ,
    WEATHER_CONDITION_CODE          VARCHAR2(120) ,
    INCIDENT_EVENT_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    VEHICLE_STRUCK_CODE             VARCHAR2(120) ,
    VEHICLE_COLLISION_TYPE_CODE     VARCHAR2(120) ,
    VEHICLE_STRUCK_BY_CODE          VARCHAR2(120) ,
    VEHICLE_ACC_CATEGORY_CODE       VARCHAR2(120) ,
    TRAFFIC_CONTROLS_CODE           VARCHAR2(120) ,
    VEHICLE_SPEED_LIMIT             NUMBER        ,
    VEHICLE_SPEED_UNIT_CD           VARCHAR2(120) ,
    POLICE_REPORT_FLAG              VARCHAR2(4)   ,
    POLICE_AGENCY_LOCATION          VARCHAR2(4000),
    POLICE_BADGE_NUM                VARCHAR2(400) ,
    CITATION_NUM                    VARCHAR2(400) ,
    UNSAFE_ACT_TYPE_CODE            VARCHAR2(120) ,
    ISSUE_TYPE_CODE                 VARCHAR2(120) ,
    IMPROVEMENT_TYPE_CODE           VARCHAR2(120) ,
    LESSONS_LEARNED                 VARCHAR2(4000),
    EMPLOYEE_ID                     NUMBER(18, 0) ,
    AIR_QUALITY_TYPE_CODE           VARCHAR2(120) ,
    ERGONOMIC_TYPE_CODE             VARCHAR2(120) ,
    ERGONOMIC_ASS_REQ_CODE          VARCHAR2(4)   ,
    RESULT_CODE                     VARCHAR2(120) ,
    ACTION_REQUIRED_FLAG            VARCHAR2(4)   ,
    EVENT_CREATION_DATE             TIMESTAMP(6)  ,
    WHAT_WAS_SPILLED_OR_RELEASED    VARCHAR2(4000),
    CLEANUP_TEAM_NOTIFIED_AT        TIMESTAMP(6)  ,
    SPILL_POSSIBLE_CAUSE_CODE       VARCHAR2(120) ,
    SPILL_SOURCE_CODE               VARCHAR2(120) ,
    REPLN_SPILL_KIT_FLAG            VARCHAR2(4)   ,
    DATE_DISCLOSED                  TIMESTAMP(6)  ,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE16                     VARCHAR2(600) ,
    ATTRIBUTE17                     VARCHAR2(600) ,
    ATTRIBUTE18                     VARCHAR2(600) ,
    ATTRIBUTE19                     VARCHAR2(600) ,
    ATTRIBUTE20                     VARCHAR2(600) ,
    ATTRIBUTE21                     VARCHAR2(600) ,
    ATTRIBUTE22                     VARCHAR2(600) ,
    ATTRIBUTE23                     VARCHAR2(600) ,
    ATTRIBUTE24                     VARCHAR2(600) ,
    ATTRIBUTE25                     VARCHAR2(600) ,
    ATTRIBUTE26                     VARCHAR2(600) ,
    ATTRIBUTE27                     VARCHAR2(600) ,
    ATTRIBUTE28                     VARCHAR2(600) ,
    ATTRIBUTE29                     VARCHAR2(600) ,
    ATTRIBUTE30                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_NUMBER6               NUMBER        ,
    ATTRIBUTE_NUMBER7               NUMBER        ,
    ATTRIBUTE_NUMBER8               NUMBER        ,
    ATTRIBUTE_NUMBER9               NUMBER        ,
    ATTRIBUTE_NUMBER10              NUMBER        ,
    ATTRIBUTE_TIMESTAMP1            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10           TIMESTAMP(6)  ,
    INC_EVENT_OWNER_ASSIGN_ID       NUMBER(18, 0) ,
    EMPLOYEE_ASSIGN_ID              NUMBER(18, 0) ,
    CONSTRAINT pk_hns_incidents_detail PRIMARY KEY (INCIDENT_DETAIL_ID, INCIDENT_DETAIL_ID)
);
